Package it.ernytech.tdlib

## Class TdApi.UserPrivacySettingRule

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.UserPrivacySettingRule

Direct Known Subclasses:
  `TdApi.UserPrivacySettingRuleAllowAll`, `TdApi.UserPrivacySettingRuleAllowContacts`, `TdApi.UserPrivacySettingRuleAllowUsers`, `TdApi.UserPrivacySettingRuleRestrictAll`, `TdApi.UserPrivacySettingRuleRestrictContacts`, `TdApi.UserPrivacySettingRuleRestrictUsers`

Enclosing class:
  TdApi

    public abstract static class TdApi.UserPrivacySettingRule
    extends TdApi.Object

This class is an abstract base class. Represents a single rule for managing privacy settings.

### Constructor Summary

Constructors
`UserPrivacySettingRule()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### UserPrivacySettingRule

    public UserPrivacySettingRule()